org.apache.poi.hwpf.usermodel

## Class ShadingDescriptor

- java.lang.Object
- - org.apache.poi.hwpf.model.types.SHDAbstractType
  - - org.apache.poi.hwpf.usermodel.ShadingDescriptor

- All Implemented Interfaces:
    Duplicatable

      public final class ShadingDescriptor
      extends SHDAbstractType
      implements Duplicatable

  The SHD is a substructure of the CHP, PAP, and TC for Word 2000.

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwpf.model.types.SHDAbstractType

      `field_1_cvFore, field_2_cvBack, field_3_ipat`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShadingDescriptor()`
    `ShadingDescriptor(byte[] buf, int offset)`
    `ShadingDescriptor(ShadingDescriptor other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ShadingDescriptor` | `clone()` Deprecated.
    `ShadingDescriptor` | `copy()`
    `boolean` | `isEmpty()`
    `byte[]` | `serialize()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.poi.hwpf.model.types.SHDAbstractType

      `equals, fillFields, getCvBack, getCvFore, getIpat, getSize, hashCode, serialize, setCvBack, setCvFore, setIpat`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ShadingDescriptor

          public ShadingDescriptor()

    - #### ShadingDescriptor

          public ShadingDescriptor(ShadingDescriptor other)

    - #### ShadingDescriptor

          public ShadingDescriptor(byte[] buf,
                                   int offset)

  - ### Method Detail

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public ShadingDescriptor clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public ShadingDescriptor copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Returns:
        a deep copy of the implementing class / instance

    - #### isEmpty

          public boolean isEmpty()

    - #### serialize

          public byte[] serialize()

      Overrides:
        `serialize` in class `SHDAbstractType`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `SHDAbstractType`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.